Download it now!
Bug 86273 - Could not read file file:///opt/local/libreoffice4-4.3.3.2/program/../share/extensions/dict-gd/LICENSES-en.txt
Summary: Could not read file file:///opt/local/libreoffice4-4.3.3.2/program/../share/e...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-14 05:32 UTC by Richard PALO
Modified: 2019-12-03 14:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard PALO 2014-11-14 05:32:34 UTC
running pkgsrc i386 with:
>richard@omnis:/home/richard/src/libreoffice$ uname  -a
>SunOS omnis 5.11 illumos-gate-c40eb28 i86pc i386 i86pc

In debug mode, I notice the following message upon starting Libreoffice:
warn:desktop.deployment:101019:1:desktop/source/deployment/manager/dp_manager.cxx:1411: Could not read file file:///opt/local/libreoffice4-4.3.3.2/program/../share/extensions/dict-gd/LICENSES-en.txt

Curiously enough, the message is absent in subsequent invocations.

I notice:
richard@omnis:/home/richard/src/libreoffice$ git grep dict-gd
scp2/source/ooo/common_brand.scp:    DosName = "dict-gd";
scp2/source/ooo/file_ooo.scp:   Name = "Dictionary/dict-gd.filelist";
setup_native/source/packinfo/packinfo_office.txt:solarispackagename = "%PACKAGEPREFIX%SOLARISBRANDPACKAGENAME%BRANDPACKAGEVERSION-dict-gd"
setup_native/source/packinfo/packinfo_office.txt:packagename = "%BASISPACKAGEPREFIX%PRODUCTVERSION-dict-gd"


and grepping the built dist tarball:
richard@omnis:/home/richard/src/libreoffice$ gtar tvfa /export/pub/pkgsrc/packages/current/SunOS-5.11-i386/All/libreoffice4-4.3.3.2nb1.tgz |grep dict-gd
-rw-r--r-- root/root       366 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-gd/META-INF/manifest.xml
-rw-r--r-- root/root      4319 2014-11-12 23:29 libreoffice4-4.3.3.2/share/extensions/dict-gd/description.xml
-rw-r--r-- root/root       824 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-gd/dictionaries.xcu
-rw-r--r-- root/root     36041 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-gd/dictionaries/README_gd_GB.txt
-rw-r--r-- root/root      3530 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-gd/dictionaries/gd_GB.aff
-rw-r--r-- root/root   2518111 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-gd/dictionaries/gd_GB.dic
richard@omnis:/home/richard/src/libreoffice$ gtar tvfa /export/pub/pkgsrc/packages/current/SunOS-5.11-i386/All/libreoffice4-4.3.3.2nb1.tgz |grep LICENSES-en.txt
 
-rw-r--r-- root/root      1320 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-an/LICENSES-en.txt
-rw-r--r-- root/root       250 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-br/LICENSES-en.txt
-rw-r--r-- root/root        85 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-ca/LICENSES-en.txt
-rw-r--r-- root/root       900 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-oc/LICENSES-en.txt
-rw-r--r-- root/root       759 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-si/LICENSES-en.txt
-rw-r--r-- root/root       474 2014-10-23 13:32 libreoffice4-4.3.3.2/share/extensions/dict-vi/LICENSES-en.txt
Comment 1 Julien Nabet 2014-11-14 06:39:44 UTC
On pc Debian x86-64 with master sources updated yesterday (+enable-dbgutil), I got this:
warn:desktop.deployment:5272:1:desktop/source/deployment/manager/dp_manager.cxx:1421: Could not read file file:///home/julien/compile-libreoffice/libreoffice/instdir/program/../share/extensions/dict-gd/LICENSES-en.txt
Python exception: <class 'AttributeError'>: 'module' object has no attribute 'writeRegistryInfo', traceback follows
  /home/julien/compile-libreoffice/libreoffice/instdir/program/pythonloader.py:152 in function writeRegistryInfo() [return mod.writeRegistryInfo( self.ctx.ServiceManager, regKey )]


warn:desktop.deployment:5272:1:desktop/source/deployment/registry/dp_backend.cxx:693: unexpected RuntimeException "<class 'AttributeError'>: 'module' object has no attribute 'writeRegistryInfo', traceback follows
  /home/julien/compile-libreoffice/libreoffice/instdir/program/pythonloader.py:152 in function writeRegistryInfo() [return mod.writeRegistryInfo( self.ctx.ServiceManager, regKey )]

"
warn:ucb.ucp.gio:5302:1:ucb/source/ucp/gio/gio_content.cxx:404: ignoring GError "L'emplacement indiqué n'est pas pris en charge" for <vnd.sun.star.job:alias=UpdateCheck>
warn:sfx.control:5302:1:sfx2/source/control/dispatch.cxx:1354: Childwindow slot missing: 10365
warn:legacy.osl:5302:1:sfx2/source/sidebar/ResourceManager.cxx:444: context name not recognized
warn:sfx.control:5302:1:sfx2/source/control/dispatch.cxx:1354: Childwindow slot missing: 10365
warn:vcl.control:5302:1:vcl/source/control/button.cxx:2248: No new-style group set on radiobutton <> using old-style digging around
warn:sfx.control:5302:1:sfx2/source/control/dispatch.cxx:1354: Childwindow slot missing: 10365


So I confirm.
Comment 2 QA Administrators 2015-12-20 16:06:26 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:46:08 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:25:52 UTC
Dear Richard PALO,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug